## Add Chunked File Part

### POST
/v1/chunked-files/{chunkedFileId}/part

### cURL
```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'chunkedFilePart={
  "offset": 1,
  "size": 1
}' \
  --form fileChunk='@example-file'
```

### Python
```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part"

files = { "fileChunk": ("example-file", open("example-file", "rb")) }
payload = { "chunkedFilePart": "{
  \"offset\": 1,
  \"size\": 1
}" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
```

### JavaScript (Fetch)
```javascript
const form = new FormData();
form.append('chunkedFilePart', '{
  "offset": 1,
  "size": 1
}');
form.append('fileChunk', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"chunkedFilePart\"\r\n\r\n{\r\n  \"offset\": 1,\r\n  \"size\": 1\r\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"fileChunk\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: multipart/form-data"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go
```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part"

payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"chunkedFilePart\"\r\n\r\n{\r\n  \"offset\": 1,\r\n  \"size\": 1\r\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"fileChunk\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)
```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"chunkedFilePart\"\r\n\r\n{\r\n  \"offset\": 1,\r\n  \"size\": 1\r\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"fileChunk\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--")
  .asString();
```

### Ruby
```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/chunked-files/{chunkedFileId}/part")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"chunkedFilePart\"\r\n\r\n{\r\n  \"offset\": 1,\r\n  \"size\": 1\r\n}\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"fileChunk\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001--"

response = http.request(request)
puts response.read_body
```

### Authorizations

**Authorization**
- **Type**: string
- **Header**: required
- **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers
- **content-type**: enum<string>
    - Available options: `multipart/form-data`

### Path Parameters
- **chunkedFileId**: string
  - required

### Body
- **chunkedFilePart**: Chunked File Part · object
  - required

- **fileChunk**: file
  - required

### Response
- **204**: No Content
